IPCS(1)

NAME
ipcs - provide information on ipc facilities

SYNOPSIS
ipcs [resource] [...] [output-format]
ipcs [resource] -i id

DESCRIPTION
ipcs provides information on the ipc facilities for which the calling process has read access.

OPTIONS

-i, --id id
    Print details only on resource identified by id.

-h, --help
    Display this help and exit.

-V, --version
    Output version information and exit.

RESOURCE OPTIONS

-m, --shmems
    Write information about active shared memory segments.

-q, --queues
    Write information about active message queues.

-s, --semaphores
    Write information about active semaphore sets.

-a, --all
    Write information about all resources (default).

OUTPUT FORMATS

-t, --time
    Write time information. Time of the last control operation that changed the access permissions for all facilities, time of the last msgsnd() and msgrcv() operations on message queues, time of the last shmat() and shmdt() operations on shared memory, and time of the last semop() operation on semaphores.

-p, --pid
    Show creator and last operations PIDs.

-c, --creator
    Show creator and owner.

-l, --limits
    Show resource limits.

-u, --summary
    Show status summary.

SEE ALSO
ipcrm(1), ipcmk(1), msgrcv(2), msgsnd(2), semget(2), semop(2), shmat(2), shmdt(2), shmget(2)

CONFORMING TO
The Linux ipcs utility is not fully compatible to the POSIX ipcs utility. The Linux version does not support the -b and -o options, but does support the -l and -u options not defined by POSIX. The portable application shall not use the -b, -o, -l, and -u options.

AUTHOR
Krishna Balasubramanian (balasub@cis.ohio-state.edu)

AVAILABILITY
The ipcs command is part of the util-linux package and is available from Linux Kernel Archive (ftp://ftp.kernel.org/pub/linux/utils/util-linux/).